package org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention.Response;

import org.eclipse.tm.tcf.protocol.IChannel;
import org.eclipse.tm.tcf.protocol.IToken;
import org.eclipse.tm.tcf.services.IFileSystem;
import org.eclipse.tm.tcf.services.IFileSystem.FileSystemException;
import org.eclipse.tm.tcf.services.IFileSystem.IFileHandle;

/**
 * This Reactive Measure will indicate the maximum number of logins for this user
 * It has a format to add a rule in /etc/security/limits.conf
 * 		<domain>  <type>  <item>  <value>
 */

public class RMMaxLogins implements IReactiveMeasures {
	static public String Name = "RM_MAX_LOGINS";
	static public int Id = 24;
	static public double Risk_threshold = 0.6;
    
    private final IFileSystem files;
    private IFileHandle filehandle;



    public RMMaxLogins(IChannel channel) {
            
    	files = channel.getRemoteService(IFileSystem.class);

    }
    
	@Override
	public void start() {
		
	}
	
}
