package org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention.Response;

import org.eclipse.tm.tcf.protocol.IChannel;
import org.eclipse.tm.tcf.protocol.IToken;
import org.eclipse.tm.tcf.services.IFileSystem;
import org.eclipse.tm.tcf.services.IFileSystem.FileSystemException;
import org.eclipse.tm.tcf.services.IFileSystem.IFileHandle;

/**
 * This Reactive Measure will enable protection against bogus error message responses
 * To make the change PERMANENT add the following line to /etc/sysctl.conf:
 * net.ipv4.icmp_ignore_bogus_error_responses = 1
 */

public class RMPerProtectAgainstBadErrorMessages implements IReactiveMeasures {
	static public String Name = "RM_PERMANENT_PROTECT_AGAINST_BAD_ERROR_MESSAGES";
	static public int Id = 31;
	static public double Risk_threshold = 0.6;
    
    private final IFileSystem files;
    private IFileHandle filehandle;



    public RMPerProtectAgainstBadErrorMessages(IChannel channel) {
            
    	files = channel.getRemoteService(IFileSystem.class);

    }
    
	@Override
	public void start() {
		
	}
	
}
