/*
 * @(#)StateEngineFactory.java	1.9 06/08/06
 *
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package org.eclipse.linuxtools.lttng.SYSPRO.dynamicfsm;

/**
 * Factory for creating the standard state machine implementation.
 *
 * @version @(#)StateEngineFactory.java	1.9 06/08/06
 * @author Ken Cavanaugh
 */
public class StateEngineFactory {
    private StateEngineFactory() {}

    public static StateEngine create()
    {
	return new StateEngineImpl() ;
    }
}