package org.eclipse.linuxtools.lttng.SYSPRO.ui;

import javax.swing.tree.TreeNode;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.ISelectionListener;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory;

public class AddContactAction extends Action implements
ISelectionListener, ActionFactory.IWorkbenchAction {
	private final IWorkbenchWindow window;
	public final static String ID = "org.eclipse.ui.tutorials.rcp.part3.ddContact";
	private IStructuredSelection selection;

	public AddContactAction(IWorkbenchWindow window) {
		this.window = window;
		setId(ID);
		setText("&Add Contact...");
		setToolTipText("Add a contact to your contacts list.");
		System.out.println("hi");
		
		window.getSelectionService().addSelectionListener(this);
	}
	public void dispose() {
		window.getSelectionService().removeSelectionListener(this);
	}

	public void selectionChanged(IWorkbenchPart part, ISelection incoming) {
		if (incoming instanceof IStructuredSelection) {
			selection = (IStructuredSelection) incoming;
			setEnabled(selection.size() == 1
					&& selection.getFirstElement() instanceof TreeNode);
		} else {
			// Other selections, for example containing text or of other kinds.
			setEnabled(false);
		}
	}
	
	public void run(ISelection selection){
		openItem(((IStructuredSelection)selection).getFirstElement());
	}
	
	public void run() {
		openItem(selection.getFirstElement());
	}
	
	private void openItem(Object item){
		
	}
	
	

}