package org.eclipse.linuxtools.lttng.SYSPRO.ui;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class Perspective implements IPerspectiveFactory {

	static public  IFolderLayout folder ;
	static public IPageLayout layout;
	public void createInitialLayout(IPageLayout layout_) {
		layout = layout_;
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		
		layout.addStandaloneView(NavigationView.ID,  false, IPageLayout.LEFT, 0.25f, editorArea);
		folder = layout.createFolder("messages", IPageLayout.TOP, 0.5f, editorArea);
		folder.addPlaceholder(View.ID + ":*");
		folder.addView(View.ID);
		

		/*folder.addPlaceholder(CIAView.ID + ":*");
		folder.addView(CIAView.ID);
		
		
		folder.addPlaceholder(ResourceCatView.ID + ":*");
		folder.addView(ResourceCatView.ID);
		
		folder.addPlaceholder(HostView.ID + ":*");
		folder.addView(HostView.ID);
		
		folder.addPlaceholder(ResourceView.ID + ":*");
		folder.addView(ResourceView.ID);
		
		folder.addPlaceholder(HostResourceView.ID + ":*");
		folder.addView(HostResourceView.ID);
		
		folder.addPlaceholder(VulnerabilityView.ID + ":*");
		folder.addView(VulnerabilityView.ID);
		
		folder.addPlaceholder(ResourceVulnerabilityView.ID + ":*");
		folder.addView(ResourceVulnerabilityView.ID);
		
		folder.addPlaceholder(OfflineFuzzyView.ID + ":*");
		folder.addView(OfflineFuzzyView.ID);*/
		
		
		layout.getViewLayout(NavigationView.ID).setCloseable(false);
	}
}
