package org.eclipse.linuxtools.lttng.SYSHEALTHPRO.Prevention.Response;

import org.eclipse.tm.tcf.protocol.IChannel;
import org.eclipse.tm.tcf.protocol.IToken;
import org.eclipse.tm.tcf.services.IFileSystem;
import org.eclipse.tm.tcf.services.IFileSystem.FileSystemException;
import org.eclipse.tm.tcf.services.IFileSystem.IFileHandle;

/**
 * This Reactive Measure will cause the kernel to Log spoofed packets, source routed packets and redirect packets.
 * To make the change PERMANENT add the following line to /etc/sysctl.conf:
 * net.ipv4.conf.all.log_martians = 1
 */

public class RMPerLogMartians implements IReactiveMeasures {
	static public String Name = "RM_PERMANENT_LOG_MARTIANS";
	static public int Id = 33;
	static public double Risk_threshold = 0.6;
    
    private final IFileSystem files;
    private IFileHandle filehandle;



    public RMPerLogMartians(IChannel channel) {
            
    	files = channel.getRemoteService(IFileSystem.class);

    }
    
	@Override
	public void start() {
		
		
	}
	
}
