package org.eclipse.linuxtools.lttng.SYSPRO.ui;

import java.io.File;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IContributionItem;
import org.eclipse.jface.action.IMenuCreator;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.DirectoryDialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

/**
 * This action will open a drop down to select action from that. This is a sort of
 * container action
 * 
 * @author Sharad
 */
public class OpenFileAction extends Action implements IWorkbenchAction{

	public static final String ID = "org.opaals.sbvrve.open";
	
	private IWorkbenchWindow window;
	
		
	public OpenFileAction(IWorkbenchWindow window) {
		/*Shell shell;
		Display display;

		display = new Display();
		shell = new Shell(display);
		shell.setText("Hierarchy Views");
		shell.setSize(800, 800);
		shell.setLayout(new FillLayout(SWT.VERTICAL));

		DirectoryDialog dialog = new DirectoryDialog(shell, SWT.OPEN);
		dialog.setText("Open trace");
		String tracePath = dialog.open();
		if (tracePath != null) {
			File traceDir = new File(tracePath);
			File traceMetadata = new File(tracePath, "metadata_0");
			if (traceDir.isDirectory() && traceMetadata.isFile()) {
				;//window.setTraceDir(traceDir);
			}
		}*/
		
		this.window = window;
 
		setId(ID);
		setText("Open");
		setToolTipText("select type of file to open");
		System.out.println("f");
	}
	
	@Override
	public void dispose() {
		if (window == null) 
			return;
		window = null;
	}

}